<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iCelGameServer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiCelGameServer.html">iCelGameServer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a85aee2cd64948525a312287aca56cc7e">ChangeLevel</a>(celGameInfo *new_game)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a2226fe2e45a5ed5218fe1902cdf0952c">ChangeLinkControl</a>(iCelEntity *entity, celPlayer *player, bool player_controlled)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#ad9f84d3748644041a79a77ffc52b0101">CreateChannel</a>(csStringID channel_id)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a2b1eec275a973437b25f4194df7afca3">GetAdministrator</a>()=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a48175bcad72165ff0d472a12bdad91e0">GetNetworkPlayerStats</a>(celPlayer *player, celNetworkPlayerStats &amp;stats) const =0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#af65fd31e91d224e8a7f1d031b0248f0a">GetNetworkTotalStats</a>(celNetworkPlayerTotalStats &amp;stats) const =0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#ac664ae438691d8e81ab1eca933ac8ddf">GetPlayerList</a>()=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a1fdd2b3ad82217d20ff4ab1e32e9ae00">GetPlayerState</a>(celPlayer *player)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#afbad5b793a8dfffbb3a804cdb61003de">KickPlayer</a>(celPlayer *player, const char *reason)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#ab365defd0d72ed26bc9feca9c2eb2d24">LaunchServerEvent</a>(celPlayer *player, celServerEventData &amp;event_data)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a478c53aaced8adb9d6fed2e7b25cb120">LaunchServerEvent</a>(csStringID channel_id, celServerEventData &amp;event_data)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a6cb6d3fd0f3820db6a4c84008f1684f5">RegisterServerManager</a>(celGameServerManager *manager)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a45b7b85b7722f300a32a8e4c7f356bf6">RemoveChannel</a>(csStringID channel_id)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#ae44a50920a02a43fc35ebaa31d9dfed7">RemoveNetworkLink</a>(iCelEntity *entity, celPlayer *player)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#ac75bc4e090f90c0e1847866e4b7ea0fe">RemoveNetworkLink</a>(iCelEntity *entity, csStringID channel_id)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a1eaa5e8aa5701e68c38b47d7c957ce7d">SetAdministrator</a>(celPlayer *new_admin)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a6c28d9004097fe7023cd4af82a10e213">SetClientTimeOut</a>(csTicks timeout)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#ac7ca31a371cadb9d58aa1f4cd0881c30">SetMaximumBandwidth</a>(size_t width)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#aedb3d272861232091c72158d8caeeed7">SetNetworkLink</a>(celPlayer *player, celNetworkLinkData &amp;link_data, bool player_controlled)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#ab1a8d420c95a4f59ee36c45d6da48c3b">SetNetworkLink</a>(csStringID channel_id, celNetworkLinkData &amp;link_data)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelGameServer.html#a4340ef99e77de2b0339700d4405c50dc">SetNetworkPeriod</a>(csTicks period)=0</td><td><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
